package fahrten.geg;

class BeispielOrt extends Ort {
	
	private static BeispielOrt[] bsp = new BeispielOrt[3];

	static {
		for(int nr=0; nr<3; nr++) bsp[nr] = new BeispielOrt(nr);
	}
	
	static Ort[] getBeispielOrte() {
		zaehler = 0;
		return bsp;
	}
	
	private static final double[] times = {10.5,8,16,9.5,12,13};
	private static int zaehler;
		
	private BeispielOrt(int nummer) {
		super(nummer);
	}
	
	double getFahrzeit(Ort andererOrt) {
		if(zaehler < times.length) return times[zaehler++];
		return super.getFahrzeit(andererOrt);
	}

}
